# Almanac
Information tool that modifies the in-game trophy panel.
### Features
- Creature health, faction, damage modifiers...
- Creature attacks, intelligence, taming items..
- Item stack, value, quality, durability, teleportability...
- Item damages, modifiers, set bonuses, armor...
- Item recipe and or conversion
- Items that are not known by players, are blacked out
- Pieces comfort, health, modifiers...
- Pieces conversion, recipe, container drops...
- Automatically adjusts trophies on the panel if they happen to share the same position as another (typically due to trophies added by mods without regards of unique placement on the board)
- Server Blacklist
### Configurations
- color configurations for damage modifiers
- localization yml file for extended language support
    - English built-in
    - French built-in
- Knowledge wall server synced configuration
```
For more details about how to create your own localization yml file.
Please find me on OdinPlus discord.
There will be a mod-test release channel where we will be sharing configs.
If you give me one in your language, I will happily embedded it into the mod.
```

| `Version` | `Update Notes`                                                                                   |
|-----------|--------------------------------------------------------------------------------------------------|
| 1.0.0     | - Initial Release                                                                                |
| 1.0.1     | - Wrong name lol                                                                                 |
| 1.0.2     | - Small Tweak for compatibility with RtdMonsters and monsterlabz                                 |
| 1.0.3     | - Fixed compatibility with modded monster mods that have missing values                          |
| 1.0.4     | - Minor tweaks to make mod work in various languages by having text dynamically resize           |
| 1.0.5     | - Minor changes to the logic on how it finds creature to display in languages other than english |
| 1.0.6     | - Added a patch to fix any overlapping trophies                                                  |
| 1.0.7     | - Hotfix for latest valheim patch - more updates to come soon                                    |
| 2.0.0     | - Major update - Almanac now supports items |
| 2.0.1     | - Almanac now supports pieces |
| 2.1.0     | - Added Black List feature and fixed minor bugs |

### Latest update notes
```
- fixed trophies misalignment due to mods adding trophies with incorrect spacing
- added blacklist
  - server only folder generated [Almanac]
  - server only files generated [ItemBlackList.yml, CreatureBlackList.yml, PieceBlackList.yml]
  - prefabs added to these files will be shared with players to make them inaccessible
- possibly fixed null reference error when checking if item is known by player
- possibly fixed teleportable info not displaying correct information
- Moved DragonEgg, ChickenEgg from original category [Misc] to [Materials]
- Moved Turnip from original category [Misc] to [Consumables]
- Renamed Pieces category to Other
- Moved guard_stone_test and dverger_guardstone from original category [Misc] to [Other]
- Created category [Extra] for any pieces listed under numbered category ( usually modded pieces )
```

![](https://i.imgur.com/Kx5DGkK.png)
![](https://i.imgur.com/thcXdFW.png)
![](https://i.imgur.com/W3U5YQa.png)
![](https://i.imgur.com/hfUrC3E.png)

## Contact information
For Questions or Comments, find <span style="color:orange">Rusty</span> in the Odin Plus Team Discord

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/5gXNxNkUBt)


If you enjoy this mod and want to support me: [Donate via Buy Me a Coffee](https://www.buymeacoffee.com/peimalcolm2)
